package com.reyun.model;

import java.util.List;
import java.util.Map;

/**
 * Created by sunhao on 17/4/19.
 * description:事件页面展示model
 */
public class Event4Web {

    private String eventName;
    private String eventNameAlias;
    private long eventNumber;
    private List<EventAttr4Web> firstLevelAttr;
    private List<EventAttr4Web> secondLevelAttr;
    private List<EventAttr4Web> profiles;
    private Map<String, EventAttr4Web> eventAttr4WebMap;
    private Boolean isCommon;
    private Boolean status;
    private Boolean isVirtual;

    public Boolean getVirtual() {
        return isVirtual;
    }

    public void setVirtual(Boolean virtual) {
        isVirtual = virtual;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventNameAlias() {
        return eventNameAlias;
    }

    public void setEventNameAlias(String eventNameAlias) {
        this.eventNameAlias = eventNameAlias;
    }

    public long getEventNumber() {
        return eventNumber;
    }

    public void setEventNumber(long eventNumber) {
        this.eventNumber = eventNumber;
    }

    public List<EventAttr4Web> getFirstLevelAttr() {
        return firstLevelAttr;
    }

    public void setFirstLevelAttr(List<EventAttr4Web> firstLevelAttr) {
        this.firstLevelAttr = firstLevelAttr;
    }

    public List<EventAttr4Web> getSecondLevelAttr() {
        return secondLevelAttr;
    }

    public void setSecondLevelAttr(List<EventAttr4Web> secondLevelAttr) {
        this.secondLevelAttr = secondLevelAttr;
    }

    public List<EventAttr4Web> getProfiles() {
        return profiles;
    }

    public void setProfiles(List<EventAttr4Web> profiles) {
        this.profiles = profiles;
    }

    public Map<String, EventAttr4Web> getEventAttr4WebMap() {
        return eventAttr4WebMap;
    }

    public void setEventAttr4WebMap(Map<String, EventAttr4Web> eventAttr4WebMap) {
        this.eventAttr4WebMap = eventAttr4WebMap;
    }

    public Boolean getCommon() {
        return isCommon;
    }

    public void setCommon(Boolean common) {
        isCommon = common;
    }

    public Boolean getStatus() {
        return status;
    }

    public void setStatus(Boolean status) {
        this.status = status;
    }

    @Override
    public String toString() {
        return "{" +
                "eventName='" + eventName + '\'' +
                ", eventNameAlias='" + eventNameAlias + '\'' +
                ", firstLevelAttr=" + firstLevelAttr +
                ", secondLevelAttr=" + secondLevelAttr +
                ", profiles=" + profiles +
                ", eventAttr4WebMap=" + eventAttr4WebMap +
                ", isCommon=" + isCommon +
                ", status=" + status +
                '}';
    }
}
